# $Revision: 1.15 $, $Date: 2003/03/23 22:37:51 $

# conditional build
# _without_dist_kernel          without distribution kernel

%define		_orig_name	3c90x

Summary:	Linux driver for the 3Com 3C90x and 3C980 Network Interface Cards
Summary(pl):	Sterownik dla Linuksa do kart sieciowych 3Com 3C90x i 3C980
Name:		kernel-net-%{_orig_name}
Version:	1.0.2
%define	_rel	7
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://support.3com.com/infodeli/tools/nic/linux/%{_orig_name}-%(echo %{version} | sed -e 's/\.//g').tar.gz
Patch0:		%{_orig_name}-gpl.patch
URL:		http://support.3com.com/infodeli/tools/nic/linux.htm
%{!?_without_dist_kernel:BuildRequires:         kernel-headers }
BuildRequires:	%{kgcc_package}
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is 3Com's EtherLink PCI driver for Linux. It provides support for
the 3c90x and 3c980 network adapters.

%description -l pl
Sterownik dla Linuksa do kart sieciowych 3Com 3c90x i 3c980.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Linux SMP driver for the 3Com 3C90x i 3C980 Network Interface Cards
Summary(pl):	Sterownik dla Linuksa SMP do kart sieciowych 3Com 3C90x i 3C980
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}

%description -n kernel-smp-net-%{_orig_name}
This is 3Com's EtherLink PCI driver for Linux SMP. It provides support
for the 3c90x and 3c980 network adapters.

%description -n kernel-smp-net-%{_orig_name} -l pl
Sterownik dla Linuksa SMP do kart sieciowych 3Com 3c90x i 3c980.

%prep
%setup -q -n %{_orig_name}-%(echo %{version} | sed -e 's#\.##g')
%patch0 -p1

%build
rm -f %{_orig_name}.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -c -DMODULE -D__KERNEL__ \
    -O2 -DSMP=1 -D__SMP__ \
%ifarch %{ix86}
    -DCONFIG_X86_LOCAL_APIC \
%endif
    -Wall -Wstrict-prototypes -I%{_kernelsrcdir}/include %{_orig_name}.c

mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -c -DMODULE -D__KERNEL__ -O2 -Wall -Wstrict-prototypes -I%{_kernelsrcdir}/include %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/%{_orig_name}.o

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc readme
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
%doc readme
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-net-3c90x.spec,v $
Revision 1.15  2003/03/23 22:37:51  blues
- release 7; rebuild with 2.2.25

Revision 1.14  2002/11/17 14:50:31  dzimi
- rel 6
- close bug #395

Revision 1.13  2002/10/02 03:59:12  kloczek
- release 5: rebuild against kernel 2.2.22.

Revision 1.12  2002/09/29 08:31:17  marcus
- use new %%doc
- rel.4.
- fix MODULE_LICENSE()

Revision 1.11  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.10  2002/03/04 22:15:20  marcus
- use new macros (version-rel)
- rel.3

Revision 1.9  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.8  2002/02/26 15:11:06  qboosh
- use %%kgcc macro

Revision 1.7  2002/02/26 13:18:45  qboosh
- use requires_releq_kernel_{up,smp} macros, added missing Prereq for -smp, release 3

Revision 1.6  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/20 19:04:24  misiek
- hide requires kernel in macro

Revision 1.4  2002/02/20 18:59:32  misiek
- requires with release

Revision 1.3  2002/02/18 12:49:13  qboosh
- cosmetics in descriptions, BR: egcs (bleh...)

Revision 1.2  2002/02/14 18:43:45  misiek
- moved from net to misc

Revision 1.1  2002/02/14 18:13:23  misiek
- initial PLD release
